Active Directory Connectors - Get
Retrieves an Active Directory connector resource
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureArcData/dataControllers/{dataControllerName}/activeDirectoryConnectors/{activeDirectoryConnectorName}?api-version=2026-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
active
|
path | True |
string |
The name of the Active Directory connector instance |
|
data
|
path | True |
string |
The name of the data controller |
|
resource
|
path | True |
string |
The name of the Azure resource group |
|
subscription
|
path | True |
string |
The ID of the Azure subscription |
|
api-version
|
query | True |
string |
The API version to use for the request |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
*** Error Responses: *** |
Examples
Retrieves an Active Directory connector resource.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController/activeDirectoryConnectors/testADConnector?api-version=2026-01-01
Sample response
{
"properties": {
"spec": {
"activeDirectory": {
"realm": "CONTOSO.LOCAL",
"serviceAccountProvisioning": "manual",
"domainControllers": {
"primaryDomainController": {
"hostname": "dc1.contoso.local"
},
"secondaryDomainControllers": [
{
"hostname": "dc2.contoso.local"
},
{
"hostname": "dc3.contoso.local"
}
]
},
"netbiosDomainName": "CONTOSO"
},
"dns": {
"nameserverIPAddresses": [
"11.11.111.111",
"22.22.222.222"
],
"replicas": 1,
"preferK8sDnsForPtrLookups": false,
"domainName": "contoso.local"
}
}
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.AzureArcData/dataControllers/testdataController/activeDirectoryConnectors/testADConnector",
"name": "testADConnector",
"type": "Microsoft.AzureArcData/dataControllers/activeDirectoryConnectors"
}
Definitions
| Name | Description |
|---|---|
|
account |
The service account provisioning mode for this Active Directory connector. |
|
Active |
DNS server details |
|
Active |
Active Directory domain details |
|
Active |
The properties of an Active Directory connector resource |
|
Active |
Active directory connector resource |
|
Active |
The specifications of the AD Kubernetes resource. |
|
Active |
The status of the Kubernetes custom resource. |
|
Active |
Information about a domain controller in the AD domain. |
|
Active |
Details about the Active Directory domain controllers associated with this AD connector instance |
|
Basic |
Username and password for basic login authentication. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
system |
Metadata pertaining to creation and last modification of the resource. |
accountProvisioningMode
The service account provisioning mode for this Active Directory connector.
| Value | Description |
|---|---|
| automatic | |
| manual |
ActiveDirectoryConnectorDNSDetails
DNS server details
| Name | Type | Default value | Description |
|---|---|---|---|
| domainName |
string |
DNS domain name for which DNS lookups should be forwarded to the Active Directory DNS servers. |
|
| nameserverIPAddresses |
string[] |
List of Active Directory DNS server IP addresses. |
|
| preferK8sDnsForPtrLookups |
boolean |
True |
Flag indicating whether to prefer Kubernetes DNS server response over AD DNS server response for IP address lookups. |
| replicas |
integer (int64) |
1 |
Replica count for DNS proxy service. Default value is 1. |
ActiveDirectoryConnectorDomainDetails
Active Directory domain details
| Name | Type | Default value | Description |
|---|---|---|---|
| domainControllers |
null |
||
| netbiosDomainName |
string |
NETBIOS name of the Active Directory domain. |
|
| ouDistinguishedName |
string |
The distinguished name of the Active Directory Organizational Unit. |
|
| realm |
string |
Name (uppercase) of the Active Directory domain that this AD connector will be associated with. |
|
| serviceAccountProvisioning | manual |
The service account provisioning mode for this Active Directory connector. |
ActiveDirectoryConnectorProperties
The properties of an Active Directory connector resource
| Name | Type | Description |
|---|---|---|
| domainServiceAccountLoginInformation |
Username and password for domain service account authentication. |
|
| provisioningState |
string |
The provisioning state of the Active Directory connector resource. |
| spec |
null |
|
| status |
null |
ActiveDirectoryConnectorResource
Active directory connector resource
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties |
null |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ActiveDirectoryConnectorSpec
The specifications of the AD Kubernetes resource.
| Name | Type | Description |
|---|---|---|
| activeDirectory |
null |
|
| dns |
null |
ActiveDirectoryConnectorStatus
The status of the Kubernetes custom resource.
| Name | Type | Description |
|---|---|---|
| lastUpdateTime |
string |
The time that the custom resource was last updated. |
| observedGeneration |
integer (int64) |
The version of the replicaSet associated with the AD connector custom resource. |
| state |
string |
The state of the AD connector custom resource. |
ActiveDirectoryDomainController
Information about a domain controller in the AD domain.
| Name | Type | Description |
|---|---|---|
| hostname |
string |
Fully-qualified domain name of a domain controller in the AD domain. |
ActiveDirectoryDomainControllers
Details about the Active Directory domain controllers associated with this AD connector instance
| Name | Type | Description |
|---|---|---|
| primaryDomainController |
Information about the Primary Domain Controller (PDC) in the AD domain. |
|
| secondaryDomainControllers |
null |
BasicLoginInformation
Username and password for basic login authentication.
| Name | Type | Description |
|---|---|---|
| password |
string |
Login password. |
| username |
string |
Login username. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |